### Constructor

# Foundry InputFile new

#### Declaration [src]

    FoundryInput*
    foundry_input_file_new (
      const char* title,
      const char* subtitle,
      FoundryInputValidator* validator,
      GFileType file_type,
      GFile* value
    )

#### Description [src]

Use `G_FILE_TYPE_DIRECTORY` for `file_type` to select only directories. Use `G_FILE_TYPE_REGULAR` for only regular files. Use `G_FILE_TYPE_UNKNOWN` for either.

#### Parameters

`title`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtitle`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`validator`

  Type: `FoundryInputValidator`

  Optional validator.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`file_type`

  Type: `GFileType`

  The type of file to select.

`value`

  Type: `GFile`

  A `GFile`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FoundryInput`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.